Subject: Re: bug#5923: 23.1.95; minibuffer-message discards input events

From: Stefan Monnier <[email-masked]>
Date: Sat, 24 Jul 2010 00:26:19 +0200

>> Actually, the problem is here in `sit-for':
>> 
>> (let ((read (read-event nil nil seconds)))
>> (or (null read)
>> (progn
>> (if (eq overriding-terminal-local-map 
>> universal-argument-map)
>> (setq read (cons t read)))
>> (push read unread-command-events)
>> nil))))))
>> 
>> Since the value of `overriding-terminal-local-map' is not
>> `universal-argument-map' in my case, it fails to treat any 
>> input received properly.

> However, something else must be going on also, because the sit-for code is
> identical for Emacs 22, and I don't see the bug in Emacs 22.

Thank you for your efforts digging into this bug.  I must say I know
even less than you do about those parts of the code.  It's clearly too
intricate for its own good, but I don't know how to streamline it.

        Stefan